library(tidyverse)
contrib_df <- read_csv("../final_data/deb_contrib_did.csv")
readme_df <- read_csv("../final_data/deb_readme_did.csv")
median(readme_df$age_in_days)
sd(readme_df$age_in_days)

median(contrib_df$age_in_days)
sd(contrib_df$age_in_days)

contrib_df <- contrib_df |>
  filter(event_gap >= 0)
readme_df <- readme_df |>
  filter(event_gap >= 0)

quantile(readme_df$age_in_days)
quantile(contrib_df$age_in_days)

quantile(readme_df$event_gap)
quantile(contrib_df$event_gap)
  
hist(readme_df$event_gap)
median(readme_df$event_gap)
sd(readme_df$event_gap)
max(readme_df$event_gap)
table(readme_df$event_gap)

hist(contrib_df$event_gap)
median(contrib_df$event_gap)
sd(contrib_df$event_gap)
max(readme_df$event_gap)
table(readme_df$event_gap)
sum(contrib_df$event_gap < 0)

